summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Juan Valencia Escalante2010-05-11 22:54:01 +0200
committer Michiel van Wessem2010-05-11 22:54:01 +0200
commit6b865b408f926aebab05aa35eeaa4f2a58c7fe9b (patch)
treeb0b57d632f10665750b019b016c7b140fffda9d1 /libraries
parentb181d0a60ca01968d2bf389ba71b2e9d80ab7497 (diff)
downloadslackbuilds-6b865b408f926aebab05aa35eeaa4f2a58c7fe9b.tar.gz
libraries/gst-ffmpeg: Added to 12.1 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/gst-ffmpeg/README8
-rw-r--r--libraries/gst-ffmpeg/gst-ffmpeg.SlackBuild91
-rw-r--r--libraries/gst-ffmpeg/gst-ffmpeg.info8
-rw-r--r--libraries/gst-ffmpeg/slack-desc19
4 files changed, 126 insertions, 0 deletions
diff --git a/libraries/gst-ffmpeg/README b/libraries/gst-ffmpeg/README
new file mode 100644
index 0000000000..bea2ca08cc
--- /dev/null
+++ b/libraries/gst-ffmpeg/README
@@ -0,0 +1,8 @@
+This module contains a GStreamer plugin for FFmpeg, as well as an
+internal copy of the FFmpeg source code.
+
+gst-ffmpeg is released under the GPL.
+
+GStreamer FFmpeg plugin will need gst-plugins-base installed
+and thus gstreamer and liboil. All builscripts are available at
+slackbuilds.org
diff --git a/libraries/gst-ffmpeg/gst-ffmpeg.SlackBuild b/libraries/gst-ffmpeg/gst-ffmpeg.SlackBuild
new file mode 100644
index 0000000000..357cef2f0f
--- /dev/null
+++ b/libraries/gst-ffmpeg/gst-ffmpeg.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for gst-ffmpeg
+# Copyright (C) 2008 Juan Valencia <jvalenciae@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# modified by the slackbuilds.org project.
+
+PRGNAM=gst-ffmpeg
+VERSION=0.10.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP || exit 1
+tar -xvzf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-perl=/usr/bin/perl \
+ --enable-eps \
+ --enable-gif \
+ --enable-png \
+ --disable-debug \
+ --disable-static
+
+# sed in the right compiler flags. Gst-ffmpeg seems to ignore recommendations
+# set with ./configure, so we do this manually here.
+if [ "$ARCH" = "i486" ]; then
+ sed -i "s#O2#O2 -march=i486 -mtune=i686#" Makefile
+ sed -i "s#-O3#-O3 -march=i486 -mtune=i686#" gst-libs/ext/ffmpeg/config.mak
+elif [ "$ARCH" = "i686" ]; then
+ sed -i "s#O2#O2 -march=i686 -mtune=i686#" Makefile
+ sed -i "s#-O3#-O3 -march=i686 -mtune=i686#" gst-libs/ext/ffmpeg/config.mak
+fi
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+# Add the html documentation from docs/plugins/html/* but without makefiles and other rubbish.
+cp -aR docs/plugins/html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/gst-ffmpeg/gst-ffmpeg.info b/libraries/gst-ffmpeg/gst-ffmpeg.info
new file mode 100644
index 0000000000..73d650b72d
--- /dev/null
+++ b/libraries/gst-ffmpeg/gst-ffmpeg.info
@@ -0,0 +1,8 @@
+PRGNAM="gst-ffmpeg"
+VERSION="0.10.4"
+HOMEPAGE="http://gstreamer.freedesktop.org/"
+DOWNLOAD="http://gstreamer.freedesktop.org/src/gst-ffmpeg/gst-ffmpeg-0.10.4.tar.gz"
+MD5SUM="6e71e37bf5c957264d4407c5f9f2a4bc"
+MAINTAINER="Juan Valencia Escalante"
+EMAIL="jvalenciae@gmail.com"
+APPROVED="Michiel"
diff --git a/libraries/gst-ffmpeg/slack-desc b/libraries/gst-ffmpeg/slack-desc
new file mode 100644
index 0000000000..7acbf4a2f0
--- /dev/null
+++ b/libraries/gst-ffmpeg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gst-ffmpeg: gst-ffmpeg (A GStreamer FFmpeg plugin)
+gst-ffmpeg:
+gst-ffmpeg: This module contains a GStreamer plugin for FFmpeg, as well as an
+gst-ffmpeg: internal copy of the FFmpeg source code.
+gst-ffmpeg:
+gst-ffmpeg: http://gstreamer.freedesktop.org/
+gst-ffmpeg:
+gst-ffmpeg: gst-ffmpeg is released under the GPL.
+gst-ffmpeg:
+gst-ffmpeg:
+gst-ffmpeg: